name: metrics
description: A new Flutter project.

# The following defines the version and build number for your application.
# A version number is three numbers separated by dots, like 1.2.43
# followed by an optional build number separated by a +.
# Both the version and the builder number may be overridden in flutter
# build by specifying --build-name and --build-number, respectively.
# In Android, build-name is used as versionName while build-number used as versionCode.
# Read more about Android versioning at https://developer.android.com/studio/publish/versioning
# In iOS, build-name is used as CFBundleShortVersionString while build-number used as CFBundleVersion.
# Read more about iOS versioning at
# https://developer.apple.com/library/archive/documentation/General/Reference/InfoPlistKeyReference/Articles/CoreFoundationKeys.html
version: 1.0.0+1

publish_to: none

environment:
  sdk: ">=2.8.0-dev.3.0.flutter-f96c48307d <3.0.0"

dependencies:
  auto_size_text: ^2.1.0
  cloud_firestore: ^0.13.3
  cloud_functions: 0.5.0
  collection: ^1.14.11
  cupertino_icons: ^0.1.2
  duration: ^2.0.15
  equatable: ^1.0.2
  fcharts: 0.0.11
  firebase_analytics: ^5.0.16
  firebase_auth: 0.15.4
  flutter:
    sdk: flutter
  flutter_styled_toast:
    git:
      url: https://github.com/platform-platform/flutter_styled_toast
      ref: master
  flutter_svg: ^0.19.1
  flutter_switch:
    git:
      url: https://github.com/platform-platform/FlutterSwitch
      ref: master
  flutter_web_plugins:
    sdk: flutter
  google_sign_in: ^4.5.3
  hive: ^1.4.4+1
  js: ^0.6.2
  meta: ^1.1.8
  metrics_core:
    path: ../core
  provider: ^4.0.5+1
  rxdart: ^0.24.1
  selection_menu: ^0.9.0
  sentry: ^4.0.1
  shimmer_animation: ^0.0.9
  statsfl:
    git:
      url: https://github.com/platform-platform/flutter-stats-fl
      ref: master
  universal_html: ^1.2.3
  url_launcher: ^5.4.1

dependency_overrides:
  universal_io:
    git:
      url: https://github.com/platform-platform/universal_io
      ref: master
      path: packages/universal_io

dev_dependencies:
  args: ^1.5.2
  flutter_driver:
    sdk: flutter
  flutter_test:
    sdk: flutter
  integration_test: ^1.0.1
  lint: ^1.1.1
  mockito: ^4.1.3
  network_image_mock: 1.0.2
  process_run: ^0.11.0+2
  test: any
  uuid: ^2.2.2

# For information on the generic Dart part of this file, see the
# following page: https://dart.dev/tools/pub/pubspec

# The following section is specific to Flutter.
flutter:

  # The following line ensures that the Material Icons font is
  # included with your application, so that you can use the icons in
  # the material Icons class.
  uses-material-design: true

  # To add assets to your application, add an assets section, like this:
  # assets:
  #   - images/a_dot_burr.jpeg
  #   - images/a_dot_ham.jpeg

  # An image asset can refer to one or more resolution-specific "variants", see
  # https://flutter.dev/assets-and-images/#resolution-aware.

  # For details regarding adding assets from package dependencies, see
  # https://flutter.dev/assets-and-images/#from-packages

  fonts:
    - family: Roboto
      fonts:
        - asset: fonts/Roboto-Thin.ttf
          weight: 100
        - asset: fonts/Roboto-Light.ttf
          weight: 300
        - asset: fonts/Roboto-Regular.ttf
          weight: 400
        - asset: fonts/Roboto-Medium.ttf
          weight: 500
        - asset: fonts/Roboto-Bold.ttf
          weight: 700
        - asset: fonts/Roboto-Black.ttf
          weight: 900
